> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truststack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a S3 object by its ID



## OpenAPI

````yaml /openapi.json get /s3/object/{id}
openapi: 3.0.0
info:
  title: Trust Stack API
  description: Programmatic access to the Trust Stack API.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /s3/object/{id}:
    get:
      tags:
        - S3
      summary: Get a S3 object by its ID
      operationId: getObject
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Returns a S3 object by its ID
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/S3Object'
components:
  schemas:
    S3Object:
      type: object
      properties:
        id:
          type: string
          description: The ID of the object
          example: 123e4567-e89b-12d3-a456-426614174000
        url:
          type: string
          description: Presigned URL of the object
        key:
          type: string
          description: The key of the object
          example: test.png
        mimeType:
          type: string
          description: The MIME type of the object
          example: image/png
        size:
          type: number
          description: The size of the object
          example: 1024
        createdAt:
          type: string
          description: The tenant ID of the object
          format: date-time
        updatedAt:
          type: string
          description: The updated at date of the object
          format: date-time
      required:
        - id
        - url
        - key
        - createdAt
        - updatedAt

````